CVE-1999-1471

Properties

Published:
31.12.1988
Updated:
27.02.2008
Patch available:
Severity:
High
CVSS vector:
(AV:L/AC:L/Au:N/C:C/I:C/A:C)
Product:
BSD: BSD
BSD: BSD

Vulnerability description

Buffer overflow in passwd in BSD based operating systems 4.3 and earlier allows local users to gain root privileges by specifying a long shell or GECOS field.

References:

CERT: http://www.cert.org/advisories/CA-1989-01.html
Security Focus: http://www.securityfocus.com/bid/4
XF: http://www.iss.net/security_center/static/7152.php